# Exploring the Code Analysis page

The **Code Analysis** page displays the results of the Snyk Code test for a specific repository. These results are all the vulnerability issues that Snyk Code discovered in the source code of the imported repository:

<figure><img src="../../../../.gitbook/assets/Snyk Code - Results - Code Analysis page - parts.png" alt="Areas on the Code Analysis page"><figcaption><p>Areas on the Code Analysis page</p></figcaption></figure>

The **Code Analysis** page consists of several areas:

* [Header](code-analysis-page-header.md) - includes the details of the imported repository with a link to the repository in the SCM, the Project name, and the Projects tabs: **Overview**, **History**, and **Settings**.
* [The Project Summary Information area](the-code-analysis-page-the-project-summary-information-area.md) - includes the dates of the repository import and the last test of the repository, the **Retest now** option for a manual test, the name of the user who imported the repository, the name of the Project owner, and the number of code files that were analyzed and not analyzed.
* [The filter pane](../../../../scan-applications/snyk-code/exploring-and-working-with-snyk-code-results-in-the-web-ui/exploring-the-code-analysis-page/code-analysis-page-filter-pane.md) - includes a set of pre-defined criteria for filtering the displayed issues.
* [The vulnerability issues area](code-analysis-page-vulnerability-issues-area.md) - includes the vulnerability issues that Snyk Code discovered in the imported repository.
